Bug 130332 - Firstboot can't set up network because of missing /etc/modules.conf file
Firstboot can't set up network because of missing /etc/modules.conf file
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-08-19 04:24 EDT by Mogens Kjaer
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-06 17:40:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mogens Kjaer 2004-08-19 04:24:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I use kickstart to set up multiple FC2 machines.

The machines are set up initially with DHCP, and I want to
specify the correct static IP address during the firstboot

I've set

firstboot --reconfig

in the kickstart file.

However, when firstboot starts, I get an error in
/usr/share/firstboot/modules/networking.py because the file
/etc/modules.conf is missing.

Shouldn't this be changed into /etc/modprobe.conf ?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. kickstart install
2. reboot
3. firstboot crach

Additional info:
Comment 1 Mogens Kjaer 2004-08-19 09:24:01 EDT
I've solved the problem by adding these three lines
to the %post section of the kickstart file:

cp /usr/share/firstboot/modules/networking.py
sed 's/modules.conf/modprobe.conf/'
rm /usr/share/firstboot/modules/networking.py.old
Comment 2 Matthew Miller 2005-04-26 11:36:56 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.